Name:           python-omemo-dr
Version:        1.0.1
Release:        %mkrel 2
Summary:        OMEMO Double Ratchet
Group:          Development/Python

License:        GPLv3
URL:            https://pypi.org/project/omemo-dr/
Source:         %{pypi_source omemo-dr}

BuildRequires:  python3-devel


%global _description %{expand:
This library handles only the crypto part of OMEMO, not the XMPP protocol part.
This means you need to take care yourself of things like publishing/downloading
bundles, publishing/subscribing to PEP deviceliste updates, sending and receiving
messages.}

%description %_description

%package -n     python3-omemo-dr
Summary:        %{summary}

%description -n python3-omemo-dr %_description


%prep
%autosetup -p1 -n omemo-dr-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files omemo_dr


%check
%pyproject_check_import


%files -n python3-omemo-dr -f %{pyproject_files}



%changelog
* Mon Mar 03 2025 wally <wally> 1.0.1-2.mga10
+ Revision: 2159838
- rebuild for python3.13

* Sun Jan 07 2024 papoteur <papoteur> 1.0.1-1.mga10
+ Revision: 2028553
- imported package python-omemo-dr

